图片编辑接口
curl --request POST \
--url https://geekai.co/api/v1/images/edits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "gpt-image-1",
"prompt": "在小猫的脚下画一只老鼠",
"image": "<string>",
"background": "auto",
"mask": "<string>",
"size": "1024x1024",
"n": 1,
"quality": "auto",
"response_format": "url",
"output_format": "png",
"retries": 0
}
'import requests
url = "https://geekai.co/api/v1/images/edits"
payload = {
"model": "gpt-image-1",
"prompt": "在小猫的脚下画一只老鼠",
"image": "<string>",
"background": "auto",
"mask": "<string>",
"size": "1024x1024",
"n": 1,
"quality": "auto",
"response_format": "url",
"output_format": "png",
"retries": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'gpt-image-1',
prompt: '在小猫的脚下画一只老鼠',
image: '<string>',
background: 'auto',
mask: '<string>',
size: '1024x1024',
n: 1,
quality: 'auto',
response_format: 'url',
output_format: 'png',
retries: 0
})
};
fetch('https://geekai.co/api/v1/images/edits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 123,
"data": [
{
"url": "<string>",
"b64_json": "aSDinaTvuI8gbWludGxpZnk=",
"revised_prompt": "<string>"
}
],
"task_id": "<string>",
"task_status": "succeed"
}{
"code": "validation_error",
"message": "参数验证失败",
"details": {
"field": "错误描述"
}
}{
"code": "unauthorized",
"message": "Invalid API key or token"
}{
"code": "invalid_request",
"message": "请求参数不合法"
}{
"code": "invalid_request",
"message": "请求参数不合法"
}画图模型
图片编辑
POST
/
images
/
edits
图片编辑接口
注意:目前仅
gpt-image-1 和 nano-banana 模型支持图片编辑,其他模型不支持。你可以在模型广场筛选查看系统支持的所有画图模型列表,画图模型请求/响应参数结构兼容 OpenAI,切换模型时只需修改对应的模型名称即可,若模型请求/响应参数和 OpenAI 不一致,极客智坊底层会自动转换对齐。请求/响应参数明细
授权
bearerAuthapiKeyAuth
API认证token
请求体
application/json
画图模型
示例:
"gpt-image-1"
文本提示
示例:
"在小猫的脚下画一只老鼠"
单张图片URL/Base64编码数据
背景透明度,目前仅 gpt-image-1 支持该配置
可用选项:
transparent, opaque, auto 用于遮罩的图片URL/Base64编码数据
图片尺寸,不同模型设置不同,详见模型尺寸表
示例:
"1024x1024"
图片数量,默认为1
示例:
1
图片质量,支持 auto/low/medium/high 四个配置项,默认为auto
可用选项:
auto, low, medium, high 图片响应格式,支持 url/b64_json 两种格式,默认为url
可用选项:
url, b64_json 图片输出格式,支持 png/jpg/webp 三种格式,默认为png
可用选项:
png, jpg, webp 自动重试次数,默认0,表示失败不重试
示例:
0
此页面对您有帮助吗?
⌘I
